
package mhp.oee.wserp.gzgsgd;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "SI_IW31_SENDService", targetNamespace = "http://atlbatter.com/ANDON/IW31", wsdlLocation = "http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/bcff1cacd3013a25a5565fe3f256220d")
public class SIIW31SENDService
    extends Service
{

    private final static URL SIIW31SENDSERVICE_WSDL_LOCATION;
    private final static WebServiceException SIIW31SENDSERVICE_EXCEPTION;
    private final static QName SIIW31SENDSERVICE_QNAME = new QName("http://atlbatter.com/ANDON/IW31", "SI_IW31_SENDService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/bcff1cacd3013a25a5565fe3f256220d");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        SIIW31SENDSERVICE_WSDL_LOCATION = url;
        SIIW31SENDSERVICE_EXCEPTION = e;
    }

    public SIIW31SENDService() {
        super(__getWsdlLocation(), SIIW31SENDSERVICE_QNAME);
    }

    public SIIW31SENDService(WebServiceFeature... features) {
        super(__getWsdlLocation(), SIIW31SENDSERVICE_QNAME, features);
    }

    public SIIW31SENDService(URL wsdlLocation) {
        super(wsdlLocation, SIIW31SENDSERVICE_QNAME);
    }

    public SIIW31SENDService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SIIW31SENDSERVICE_QNAME, features);
    }

    public SIIW31SENDService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SIIW31SENDService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns SIIW31SEND
     */
    @WebEndpoint(name = "HTTP_Port")
    public SIIW31SEND getHTTPPort() {
        return super.getPort(new QName("http://atlbatter.com/ANDON/IW31", "HTTP_Port"), SIIW31SEND.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SIIW31SEND
     */
    @WebEndpoint(name = "HTTP_Port")
    public SIIW31SEND getHTTPPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbatter.com/ANDON/IW31", "HTTP_Port"), SIIW31SEND.class, features);
    }

    /**
     * 
     * @return
     *     returns SIIW31SEND
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SIIW31SEND getHTTPSPort() {
        return super.getPort(new QName("http://atlbatter.com/ANDON/IW31", "HTTPS_Port"), SIIW31SEND.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SIIW31SEND
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SIIW31SEND getHTTPSPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbatter.com/ANDON/IW31", "HTTPS_Port"), SIIW31SEND.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SIIW31SENDSERVICE_EXCEPTION!= null) {
            throw SIIW31SENDSERVICE_EXCEPTION;
        }
        return SIIW31SENDSERVICE_WSDL_LOCATION;
    }

}
